/*
 * USE OF THE LIFEx SOFTWARE IS SUBJECT TO THE FOLLOWING TERMS AND CONDITIONS. 
 * IF YOU DO NOT ACCEPT THESE TERMS AND CONDITIONS, DO NOT DOWNLOAD THE SOFTWARE. 
 * NON-PROFESSIONAL USERS ARE NOTIFIED THAT THE SOFTWARE AND THE RISKS INHERENT TO ITS USE,
 * MODIFICATION AND/OR DEVELOPMENT AND REPRODUCTION ARE NOT COVERED BY ANY WARRANTY ON THE PART OF THE CEA. 
 * IT IS HIGHLY RECOMMENDED THAT YOU ONLY LOAD AND/OR USE THE SOFTWARE IF YOU HAVE SPECIALIZED IN-DEPTH INFORMATION TECHNOLOGY KNOW-HOW.
 * THE COMMISSARIAT A L’ENERGIE ATOMIQUE ET AUX ENERGIES ALTERNATIVES (FRENCH ATOMIC ENERGY AGENCY), 
 * a public scientific, technical and industrial establishment, 
 * having its registered office at 25 rue Leblanc – bâtiment le Ponant D – 75015 Paris cedex, 
 * hereinafter referred to as "CEA", hereby licenses the right to use the LIFEx software as per the terms and conditions set out below.  
 */
package bardp.protocol.protocolTexture.gui;

import bardp.protocol.ProtocolList;
import bardp.session.patient.study.series.SeriesModel;
import bardp.utility.swing.JPanelBoxOption;

/**
 * <p>
 * Title: Local Image Feature Extraction (LIFEx)</p>
 * <p>
 * Description: </p>
 * <p>
 * Copyright: Copyright (c) 2016</p>
 * <p>
 * Company: Inserm/CNRS/CEA</p>
 * <p>
 * @author Christophe Nioche, Inserm at lifexsoft.org
 * @version 6.0
 */
public class TextureBoxOption extends JPanelBoxOption {

   public TextureBoxOption(
   ) {   
       initComponents();
   }

   private void initComponents(
   ) {
      texturePanelMenu = new TextureJPanelMenu();
      this.setMenuComponent(texturePanelMenu, JPanelBoxOption.LEVEL_PROTOCOL);

      textureJPanelOption = new TextureJPanelOption();
      this.setOptionComponent(textureJPanelOption);

      this.setBackgroundColor(ProtocolList.TEXTURE.backgroundColorGui);
      this.setIsReorderAvailable(JPanelBoxOption.WITHOUT_REORDER);
      this.setName("TextureBoxOption");
   }

   public void setSeries(
      final SeriesModel series
   ) {       
       textureJPanelOption.texGlobalROIJPanel.setSeries(series);
       textureJPanelOption.texLocalMapJPanel.setSeries(series);
   }
   
   public TextureJPanelMenu texturePanelMenu;
   public TextureJPanelOption textureJPanelOption;
}
