/*
 * USE OF THE LIFEx SOFTWARE IS SUBJECT TO THE FOLLOWING TERMS AND CONDITIONS. 
 * IF YOU DO NOT ACCEPT THESE TERMS AND CONDITIONS, DO NOT DOWNLOAD THE SOFTWARE. 
 * NON-PROFESSIONAL USERS ARE NOTIFIED THAT THE SOFTWARE AND THE RISKS INHERENT TO ITS USE,
 * MODIFICATION AND/OR DEVELOPMENT AND REPRODUCTION ARE NOT COVERED BY ANY WARRANTY ON THE PART OF THE CEA. 
 * IT IS HIGHLY RECOMMENDED THAT YOU ONLY LOAD AND/OR USE THE SOFTWARE IF YOU HAVE SPECIALIZED IN-DEPTH INFORMATION TECHNOLOGY KNOW-HOW.
 * THE COMMISSARIAT A L’ENERGIE ATOMIQUE ET AUX ENERGIES ALTERNATIVES (FRENCH ATOMIC ENERGY AGENCY), 
 * a public scientific, technical and industrial establishment, 
 * having its registered office at 25 rue Leblanc – bâtiment le Ponant D – 75015 Paris cedex, 
 * hereinafter referred to as "CEA", hereby licenses the right to use the LIFEx software as per the terms and conditions set out below.  
 */
package bardp.protocol.protocolTexture.gui;

import bardp.gui.FrameGui;
import bardp.utility.LIFExFonts;
import bardp.utility.Svg;

/**
 * <p>
 * Title: Local Image Feature Extraction (LIFEx)</p>
 * <p>
 * Description: </p>
 * <p>
 * Copyright: Copyright (c) 2016</p>
 * <p>
 * Company: Inserm/CNRS/CEA</p>
 * <p>
 * @author Christophe Nioche, Inserm at lifexsoft.org
 * @version 6.0
 */
public class TextureJPanelMenu extends javax.swing.JPanel {

    /**
     * Creates new form PicImageJPanelMenu
     *
     */
    public TextureJPanelMenu(
    ) {
        initComponents();
        postComponents();
    }

    private void postComponents() {
        seriesDescription.setFont(LIFExFonts.FONT_SMALL);
        title.setFont(LIFExFonts.FONT_SMALL_BOLD);
        jLabelIcon.setIcon(FrameGui.svg.load(
                "ProtocolTexture", 
                FrameGui.svg.ICON_SMALL_SIZE, 
                FrameGui.svg.ICON_SMALL_SIZE, 
                Svg.WITHOUT_BACKGROUND_STYLE
        ));
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanelImg = new javax.swing.JPanel();
        jLabelIcon = new javax.swing.JLabel();
        jPanelDesc = new javax.swing.JPanel();
        title = new javax.swing.JLabel();
        seriesDescription = new javax.swing.JLabel();

        setToolTipText("");
        setOpaque(false);
        setLayout(new java.awt.BorderLayout());

        jPanelImg.setOpaque(false);
        jPanelImg.setLayout(new java.awt.BorderLayout());
        jPanelImg.add(jLabelIcon, java.awt.BorderLayout.CENTER);

        add(jPanelImg, java.awt.BorderLayout.WEST);

        jPanelDesc.setOpaque(false);
        jPanelDesc.setLayout(new javax.swing.BoxLayout(jPanelDesc, javax.swing.BoxLayout.Y_AXIS));

        title.setText("Texture");
        title.setToolTipText("Local Image Feature Extraction");
        title.setFocusable(false);
        jPanelDesc.add(title);

        seriesDescription.setText("Feature Extraction");
        seriesDescription.setToolTipText("Local Image Feature Extraction");
        seriesDescription.setFocusable(false);
        jPanelDesc.add(seriesDescription);

        add(jPanelDesc, java.awt.BorderLayout.CENTER);
    }// </editor-fold>//GEN-END:initComponents

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel jLabelIcon;
    public javax.swing.JPanel jPanelDesc;
    public javax.swing.JPanel jPanelImg;
    public javax.swing.JLabel seriesDescription;
    public javax.swing.JLabel title;
    // End of variables declaration//GEN-END:variables

}
