/*
 * USE OF THE LIFEx SOFTWARE IS SUBJECT TO THE FOLLOWING TERMS AND CONDITIONS.  IF YOU DO NOT ACCEPT THESE TERMS AND CONDITIONS, DO NOT DOWNLOAD THE SOFTWARE. 
 * NON-PROFESSIONAL USERS ARE NOTIFIED THAT THE SOFTWARE AND THE RISKS INHERENT TO ITS USE, MODIFICATION AND/OR DEVELOPMENT AND REPRODUCTION ARE NOT COVERED BY ANY WARRANTY ON THE PART OF THE CEA. IT IS HIGHLY RECOMMENDED THAT YOU ONLY LOAD AND/OR USE THE SOFTWARE IF YOU HAVE SPECIALIZED IN-DEPTH INFORMATION TECHNOLOGY KNOW-HOW.
 * THE COMMISSARIAT A L’ENERGIE ATOMIQUE ET AUX ENERGIES ALTERNATIVES (FRENCH ATOMIC ENERGY AGENCY), a public scientific, technical and industrial establishment, having its registered office at 25 rue Leblanc – bâtiment le Ponant D – 75015 Paris cedex, hereinafter referred to as "CEA", hereby licenses the right to use the LIFEx software as per the terms and conditions set out below.  
 */
package bardp.protocol.protocolTexture.gui;

import bardp.gui.FrameGui;
import bardp.protocol.ProtocolList;
import bardp.ressources.Res;
import bardp.utility.Svg;
import java.awt.BorderLayout;
import javax.swing.ImageIcon;
import javax.swing.UIManager;

/**
 *
 * @author chris
 */
public class TextureJPanelOption extends javax.swing.JPanel {

    /**
     * Creates new form TexJPanelOption
     */
    public TextureJPanelOption() {
        UIManager.put(
                "TabbedPane.selected", 
                Res.COLOR_SELECTION
        ); // before initComponents
        
        initComponents();
        postComonents();
    }

    private void postComonents() {
        this.jTabbedPane.setOpaque(true);        
        this.jTabbedPane.setTabLayoutPolicy(javax.swing.JTabbedPane.SCROLL_TAB_LAYOUT);
        this.jTabbedPane.setBackground(ProtocolList.TEXTURE.backgroundColorGui);

        // TextureGlobalROIJPanel
        ImageIcon imageIconGlobalRoi = FrameGui.svg.load(
                "LateMeasureAdd", 
                FrameGui.svg.ICON_MINI_MINI_MINI_SIZE, 
                FrameGui.svg.ICON_MINI_MINI_MINI_SIZE,
                Svg.WITHOUT_BACKGROUND_STYLE
        );
        this.texGlobalROIJPanel = new TextureGlobalROIJPanel();
        jTabbedPane.addTab("Global (ROI)", imageIconGlobalRoi, texGlobalROIJPanel, "Global ROI analysis");
        
        // TextureLocalMapJPanel
        ImageIcon imageIconLocalMap = FrameGui.svg.load(
                "Plan", 
                FrameGui.svg.ICON_MINI_MINI_MINI_SIZE, 
                FrameGui.svg.ICON_MINI_MINI_MINI_SIZE,
                Svg.WITHOUT_BACKGROUND_STYLE                
        );
        this.texLocalMapJPanel = new TextureLocalMapJPanel();
        jTabbedPane.addTab("Local (Map)", imageIconLocalMap, texLocalMapJPanel, "Map analysis");
    }
    
    /**
     * This method is called from within the constructor to initialize the form. WARNING: Do NOT modify this code. The
     * content of this method is always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jTabbedPane = new javax.swing.JTabbedPane();

        setOpaque(false);
        setLayout(new java.awt.BorderLayout());
        add(jTabbedPane, java.awt.BorderLayout.CENTER);
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTabbedPane jTabbedPane;
    // End of variables declaration//GEN-END:variables

    public TextureGlobalROIJPanel texGlobalROIJPanel;
    public TextureLocalMapJPanel texLocalMapJPanel;

    public void runActionAtVisible(
            final boolean visible
    ) {
        // do nothing
    }

}
