/*
 * USE OF THE LIFEx SOFTWARE IS SUBJECT TO THE FOLLOWING TERMS AND CONDITIONS. 
 * IF YOU DO NOT ACCEPT THESE TERMS AND CONDITIONS, DO NOT DOWNLOAD THE SOFTWARE. 
 * NON-PROFESSIONAL USERS ARE NOTIFIED THAT THE SOFTWARE AND THE RISKS INHERENT TO ITS USE,
 * MODIFICATION AND/OR DEVELOPMENT AND REPRODUCTION ARE NOT COVERED BY ANY WARRANTY ON THE PART OF THE CEA. 
 * IT IS HIGHLY RECOMMENDED THAT YOU ONLY LOAD AND/OR USE THE SOFTWARE IF YOU HAVE SPECIALIZED IN-DEPTH INFORMATION TECHNOLOGY KNOW-HOW.
 * THE COMMISSARIAT A L’ENERGIE ATOMIQUE ET AUX ENERGIES ALTERNATIVES (FRENCH ATOMIC ENERGY AGENCY), 
 * a public scientific, technical and industrial establishment, 
 * having its registered office at 25 rue Leblanc – bâtiment le Ponant D – 75015 Paris cedex, 
 * hereinafter referred to as "CEA", hereby licenses the right to use the LIFEx software as per the terms and conditions set out below.  
 */
package bardp.protocol.protocolTexture.params;

import bardp.gui.FrameGui;
import bardp.protocol.protocolTexture.gui.TextureGlobalROIJPanel;
import bardp.utility.Screen;

/**
 * <p>
 * Title: Local Image Feature Extraction (LIFEx)</p>
 * <p>
 * Description: </p>
 * <p>
 * Copyright: Copyright (c) 2016</p>
 * <p>
 * Company: Inserm/CNRS/CEA</p>
 * <p>
 * @author Christophe Nioche, Inserm at lifexsoft.org
 * @version 6.0
 */
public class TextureJFrameOutputParameters extends javax.swing.JDialog {

    /**
     * Creates new form TexJFrameOutputParameters
     */
    public TextureJFrameOutputParameters() {
        initComponents();
        postComonents();
    }

    private void postComonents() {
        texJPanelOutputParameters = new TextureJPanelOutputParameters();
        add(texJPanelOutputParameters);
        this.pack();

        this.setIconImage(FrameGui.svg.load(
                "LIFEx",
                FrameGui.svg.ICON_MEDIUM_SIZE,
                FrameGui.svg.ICON_MEDIUM_SIZE
        ).getImage());

        this.setLocation(FrameGui.frameLocationX + FrameGui.frameSizeX,
                (new Screen()).getScreenSafeBounds().height - this.getHeight()
        );
        this.setAlwaysOnTop(true);
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        setTitle("Advanced Settings");
        addComponentListener(new java.awt.event.ComponentAdapter() {
            public void componentHidden(java.awt.event.ComponentEvent evt) {
                formComponentHidden(evt);
            }
        });
        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowDeactivated(java.awt.event.WindowEvent evt) {
                formWindowDeactivated(evt);
            }
        });

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void formComponentHidden(java.awt.event.ComponentEvent evt) {//GEN-FIRST:event_formComponentHidden
        TextureGlobalROIJPanel texGlobalROIJPanel = FrameGui.protocolFrame.texBoxOption.textureJPanelOption.texGlobalROIJPanel;
        texGlobalROIJPanel.jToggleButtonOutputParameters.setSelected(false);

        // save Properties to using with other session
        texJPanelOutputParameters.saveProperties();
    }//GEN-LAST:event_formComponentHidden

    private void formWindowDeactivated(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_formWindowDeactivated
        // save Properties to using with other session
        texJPanelOutputParameters.saveProperties();
    }//GEN-LAST:event_formWindowDeactivated

    public TextureJPanelOutputParameters texJPanelOutputParameters;

    // Variables declaration - do not modify//GEN-BEGIN:variables
    // End of variables declaration//GEN-END:variables
}
